Loading...
Searching...
No Matches
geo.cc

geo - plot a finite element mesh More...

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Enumerations

enum | render_type { no_render , gnuplot_render , paraview_render , plotmtv_render , vtk_render , gmsh_render , atom_render , x3d_render , file_render }

## Functions

void | usage ()
void | set_input_format (idiststream &in, std::string input_format)
Float | extrema_element_measure (const geo_basic< Float, sequential > &omega, bool is_min)
int | main (int argc, char **argv)

## Detailed Description

geo - plot a finite element mesh

Definition in file geo.cc.

## Enumeration Type Documentation

## render_type

enum render_type

Enumerator
no_render |
gnuplot_render |
paraview_render |
plotmtv_render |
vtk_render |
gmsh_render |
atom_render |
x3d_render |
file_render |

Definition at line 503 of file geo.cc.

## Function Documentation

## usage()

void usage | ( |  | ) |

Definition at line 467 of file geo.cc.

## set_input_format()

void set_input_format | ( | idiststream & | in,
|  | std::string | input_format )

Definition at line 493 of file geo.cc.

## extrema_element_measure()

Float extrema_element_measure | ( | const geo_basic< Float, sequential > & | omega,
|  | bool | is_min )

Definition at line 538 of file geo.cc.

## main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 545 of file geo.cc.